Get open positions
curl --request GET \
--url https://api.example.com/api/positionsimport requests
url = "https://api.example.com/api/positions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/positions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/positions"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/positions")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/positions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"firm_id": "298471892342",
"instrument_id": "598471892347",
"ticker": "NFL-GAMEWINNER-26NOV28LARSF-LAR",
"sub_account": "fund-a",
"quantity": "10.00"
}
],
"cursor": "<string>"
}Positions
Get open positions
Returns open positions for your Firm, or for every Firm under your FCM. Requires a FIRM- or FCM-level API key.
GET
/
api
/
positions
Get open positions
curl --request GET \
--url https://api.example.com/api/positionsimport requests
url = "https://api.example.com/api/positions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/positions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/positions"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/positions")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/positions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"firm_id": "298471892342",
"instrument_id": "598471892347",
"ticker": "NFL-GAMEWINNER-26NOV28LARSF-LAR",
"sub_account": "fund-a",
"quantity": "10.00"
}
],
"cursor": "<string>"
}Query Parameters
Filter by instrument ID.
Filter by sub-account.
Maximum number of positions per page. Default 100; must be 1 to 500, otherwise 400.
Opaque cursor from the previous page's cursor field. Omit on the first request.
Was this page helpful?